Skip to main content
GET
/
organizations
/
{organization_id}
/
portal
/
search
Search knowledge base articles
curl --request GET \
  --url https://api.example.com/organizations/{organization_id}/portal/search/ \
  --header 'X-Initdesk-Token: <api-key>'
[
  {
    "id": 123,
    "collection": 123,
    "title": "<string>",
    "content_markdown": "<string>",
    "attachments": [
      {}
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "source_ticket": 123,
    "slug": "",
    "meta_description": "<string>",
    "position": 1073741823,
    "published_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Query Parameters

collection_id
integer
limit
integer
Required range: 1 <= x <= 50
query
string
required
Minimum string length: 1
status
enum<string>
  • draft - Draft
  • published - Published
  • archived - Archived
Available options:
draft,
published,
archived
Minimum string length: 1

Response

200 - application/json
id
integer
required
read-only
collection
integer
required
title
string
required
Maximum string length: 255
status
enum<string>
required
  • draft - Draft
  • published - Published
  • archived - Archived
Available options:
draft,
published,
archived
content_markdown
string
required
attachments
object[]
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
source_ticket
integer | null
slug
string
default:""
Pattern: ^[-a-zA-Z0-9_]+$
meta_description
string
Maximum string length: 160
position
integer
Required range: 0 <= x <= 2147483647
published_at
string<date-time> | null